@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500&display=swap');


html, body{
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

#email_error, #password_error, #wrong_email, #wrong_password{
    position: relative;
    font-size: 12px;
    /* display: none; */
    visibility: hidden;
}

.container{
    background: #1c1c1c;
    height: 450px;
    width: 300px;
    border-radius: 5px;

    display: flexbox;
    overflow: hidden;
    scroll-behavior: smooth;
    transition: all 0.5s ease-in-out;
}

.row{
    height: 100%;
    display: flex;
    justify-content: center;
}

form > .label{
    padding: 20px 0px;
    text-align: center;
}

.font{
    font-size: 12px;
}

input{
    width: 100%;
    font-size: 15px;
    padding: 1px 1px;
    /* outline: none; */
}

.btn-login > button{
    width: 100%;
    padding: 2px;
    font-size: 15px;
    font-weight: bold;
    background: white;
    border: none;
}

.btn-login > button:hover{
    cursor: pointer;
    background: red;
}

.or > p{
    text-align: center;
    font-size: 13px;
    color: grey;
    padding: 30px 0px;
}

.socialmedia{
    display: flex;
    justify-content: space-between;
    padding: 0px 5px;
}

.socialmedia > i{
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    background: white;
    color: #1c1c1c;
    border-radius: 40px;
}

.socialmedia > i:hover{
    cursor: pointer;
    color: red;
}

.signup{
    /* border: 1px solid red; */
    height: 85px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.signup > p, a{
    font-size: 13px;
    font-weight: lighter;
    /* text-decoration: none; */
    color: grey;
    padding: 10px 0px;
}

.signup > a:hover{
    color: red;
}


#signup form > input{
    margin: 0px 0px 20px 0px;
}

.login{
    /* border: 1px solid red; */
    height: 130px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.login > p, a{
    font-size: 13px;
    font-weight: lighter;
    /* text-decoration: none; */
    color: grey;
    padding: 10px 0px;
}